#!/bin/bash

echo

let a=11            # Identique à 'a=11'
let a=a+5           # Équivalent à  let "a = a + 5"
                    # (double guillemets et espaces pour le rendre plus lisible)
echo "11 + 5 = $a"  # 16

let "a <<= 3"       # Équivalent à  let "a = a << 3"
echo "\"\$a\" (=16) décalé de 3 places = $a"
                    # 128

let "a /= 4"        # Équivalent à  let "a = a / 4"
echo "128 / 4 = $a" # 32

let "a -= 5"        # Équivalent à  let "a = a - 5"
echo "32 - 5 = $a"  # 27

let "a = a * 10"    # Équivalent à  let "a = a * 10"
echo "27 * 10 = $a" # 270

let "a %= 8"        # Équivalent à  let "a = a % 8"
echo "270 modulo 8 = $a  (270 / 8 = 33, reste $a)"
                    # 6

echo

exit 0
